//
//  ContentView.swift
//  SearchableDemo
//
//  Created by Simon Ng on 2/8/2023.
//

import SwiftUI

struct ContentView: View {
    @State var articles = sampleArticles
    
    var body: some View {
        NavigationStack {
            List {
                ForEach(articles) { article in
                    ArticleRow(article: article)
                }

                .listRowSeparator(.hidden)

            }
            .listStyle(.plain)
            
            .navigationTitle("AppCoda")
            
        }
    }
}

#Preview {
    ContentView()
}

struct ArticleRow: View {
    let article: Article
    
    var body: some View {
        HStack(alignment: .top) {
            AsyncImage(url: URL(string: article.imageURL)) { image in
                image
                    .resizable()
                    .scaledToFill()
                
            } placeholder: {
                Color.purple.opacity(0.1)
            }
            .frame(width: 100, height: 100)
            .cornerRadius(20)
            
            Text(article.title)
                .font(.system(.headline, design: .rounded))
            
        }
    }
}
